using System;

namespace ConsoleApp2
{
    class Program
    {
        static void Main(string[] args)
        {
            string unos = Console.ReadLine();
            char c1 = unos[0];
            char c2 = unos[2];
            string[] nizStr = Console.ReadLine().Split();
            int a1 = Convert.ToInt32(nizStr[0]);
            int a2 = Convert.ToInt32(nizStr[1]);

            if (Math.Abs(a1 - a2) > 1)
            {
                Console.WriteLine("nemoguce");
                return;
            }
            int i = 0;
            if (a1 == a2)
            {
                while (i < a1 * 2)
                {
                    if (i % 2 == 0) Console.Write(c1);
                    else Console.Write(c2);
                    i++;
                }
            }
            else if (a1 > a2)
            {
                while (i < a2 * 2 - 1)
                {
                    if (i % 2 == 0) Console.Write(c1);
                    else Console.Write(c2);
                    i++;
                }
            }
            else
            {
                while (i < a1 * 2 - 1)
                {
                    if (i % 2 == 0) Console.Write(c2);
                    else Console.Write(c1);
                    i++;
                }
            }
        }
    }
}